petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscSetDebugger

Sets options associated with the debugger.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscSetDebugger(const char debugger[],PetscBool xterm)

Not Collective

### Input Parameters

| debugger | - name of debugger, which should be in your path, usually "lldb", "dbx", "gdb", "idb", "xxgdb", "kdgb" or "ddd". Also, HP-UX supports "xdb", and IBM rs6000 supports "xldb".

| xterm | - flag to indicate debugger window, set to either PETSC_TRUE (to indicate debugger should be started in a new xterm) or PETSC_FALSE (to start debugger in initial window (the option PETSC_FALSE makes no sense when using more than one MPI process.)

### Fortran Note

This routine is not supported in Fortran.

### See Also

PetscAttachDebugger(), PetscAttachDebuggerErrorHandler()

### Level

developer

### Location

src/sys/error/adebug.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages